org.h2.store

## Enum FileLockMethod

- java.lang.Object
- - java.lang.Enum<FileLockMethod>
  - - org.h2.store.FileLockMethod

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FileLockMethod>

    public enum FileLockMethod
    extends java.lang.Enum<FileLockMethod>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FILE` This locking method means the cooperative file locking protocol should be used.
`FS` Use the file system to lock the file; don't use a separate lock file.
`NO` This locking method means no locking is used at all.
`SERIALIZED` This locking method means multiple writers are allowed, and they synchronize themselves.
`SOCKET` This locking method means a socket is created on the given machine.

### Method Summary

Methods
`static FileLockMethod` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FileLockMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NO

    public static final FileLockMethod NO

This locking method means no locking is used at all.

#### FILE

    public static final FileLockMethod FILE

This locking method means the cooperative file locking protocol should be used.

#### SOCKET

    public static final FileLockMethod SOCKET

This locking method means a socket is created on the given machine.

#### SERIALIZED

    public static final FileLockMethod SERIALIZED

This locking method means multiple writers are allowed, and they synchronize themselves.

#### FS

    public static final FileLockMethod FS

Use the file system to lock the file; don't use a separate lock file.

### Method Detail

#### values

    public static FileLockMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FileLockMethod c : FileLockMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FileLockMethod valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null